<?php require_once('Connections/cn.php'); ?>
<?php
//header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$id_alumno=$_REQUEST["id"];
// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");


// Para tomar los datos del alumno
$sql = "SELECT apellidos,nombres FROM alumnos WHERE id_alumno='$id_alumno'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$estudiante= $row["apellidos"].', '.$row["nombres"];

$query_menciones = "Select DISTINCT
menciones.nombre_mencion,
menciones.id_mencion,
carreras_alumno.id_carrera
From
menciones
Inner Join carreras_alumno ON menciones.id_mencion = carreras_alumno.mencion
Where
carreras_alumno.id_alumno = '$id_alumno'";
$rst_menciones = mysql_query($query_menciones, $cn) or die(mysql_error());
// $row_menciones = mysql_fetch_assoc($rst_menciones);
$totalRows_menciones = mysql_num_rows($rst_menciones);  

if($totalRows_menciones>0)
{	
  $code=0;
  while($mencion = mysql_fetch_assoc($rst_menciones))
  {
			$array_select1[$code] = $mencion["nombre_mencion"];	
			$array_select2[$code]=  $mencion["id_mencion"];	
			$code += 1;
  }
	

  // Bucle para cargar las maetrias en el combo (materias)
   for ($i=0; $i<count($array_select2);$i++){
	 echo "<option value=".$array_select2[$i].">".$array_select1[$i]."</option>";
   }
 }
 else
 {
 ?>
	<script type="text/javascript">
		msj="¡Lo sentimos¡\nEstudiante <?php echo $estudiante ?>.\nNo tiene asignada una mención.";
		alert(msj);
	</script>
<?php
}
?>